Vulnerabilities > Philips

DATE CVE VULNERABILITY TITLE RISK
2022-05-25 CVE-2021-32966 Cleartext Transmission of Sensitive Information vulnerability in Philips Interoperability Solution XDS
Philips Interoperability Solution XDS versions 2.5 through 3.11 and 2018-1 through 2021-1 are vulnerable to clear text transmission of sensitive information when configured to use LDAP via TLS and where the domain controller returns LDAP referrals, which may allow an attacker to remotely read LDAP system credentials.
network
philips CWE-319
4.3
2022-04-01 CVE-2021-27493 Injection vulnerability in Philips products
Philips Vue PACS versions 12.2.x.x and prior does not ensure or incorrectly ensures structured messages or data are well formed and that certain security properties are met before being read from an upstream component or sent to a downstream component.
network
low complexity
philips CWE-74
6.4
2022-04-01 CVE-2021-27497 Unspecified vulnerability in Philips products
Philips Vue PACS versions 12.2.x.x and prior does not use or incorrectly uses a protection mechanism that provides sufficient defense against directed attacks against the product.
network
low complexity
philips
7.5
2022-04-01 CVE-2021-27501 Unspecified vulnerability in Philips products
Philips Vue PACS versions 12.2.x.x and prior does not follow certain coding rules for development, which can lead to resultant weaknesses or increase the severity of the associated vulnerabilities.
network
low complexity
philips
7.5
2022-04-01 CVE-2021-33018 Use of a Broken or Risky Cryptographic Algorithm vulnerability in Philips products
The use of a broken or risky cryptographic algorithm in Philips Vue PACS versions 12.2.x.x and prior is an unnecessary risk that may result in the exposure of sensitive information.
network
low complexity
philips CWE-327
5.0
2022-04-01 CVE-2021-33020 Missing Encryption of Sensitive Data vulnerability in Philips products
Philips Vue PACS versions 12.2.x.x and prior uses a cryptographic key or password past its expiration date, which diminishes its safety significantly by increasing the timing window for cracking attacks against that key.
network
low complexity
philips CWE-311
5.0
2022-04-01 CVE-2021-33022 Cleartext Transmission of Sensitive Information vulnerability in Philips products
Philips Vue PACS versions 12.2.x.x and prior transmits sensitive or security-critical data in cleartext in a communication channel that can be sniffed by unauthorized actors.
network
low complexity
philips CWE-319
5.0
2022-04-01 CVE-2021-33024 Insufficiently Protected Credentials vulnerability in Philips products
Philips Vue PACS versions 12.2.x.x and prior transmits or stores authentication credentials, but it uses an insecure method susceptible to unauthorized interception and/or retrieval.
network
low complexity
philips CWE-522
5.0
2022-04-01 CVE-2022-0922 Missing Authentication for Critical Function vulnerability in Philips E-Alert Firmware 2.1
The software does not perform any authentication for critical system functionality.
5.7
2022-01-10 CVE-2021-23173 Exposure of Resource to Wrong Sphere vulnerability in Philips Engage
The affected product is vulnerable to an improper access control, which may allow an authenticated user to gain unauthorized access to sensitive data.
network
low complexity
philips CWE-668
4.0